package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TextMessageLog;

/**
 * 短信记录Service接口
 * 
 * @author ruoyi
 * @date 2021-07-20
 */
public interface ITextMessageLogService 
{
    /**
     * 查询短信记录
     * 
     * @param id 短信记录ID
     * @return 短信记录
     */
    public TextMessageLog selectTextMessageLogById(Long id);

    /**
     * 查询短信记录列表
     * 
     * @param textMessageLog 短信记录
     * @return 短信记录集合
     */
    public List<TextMessageLog> selectTextMessageLogList(TextMessageLog textMessageLog);

    /**
     * 新增短信记录
     * 
     * @param textMessageLog 短信记录
     * @return 结果
     */
    public int insertTextMessageLog(TextMessageLog textMessageLog);

    /**
     * 修改短信记录
     * 
     * @param textMessageLog 短信记录
     * @return 结果
     */
    public int updateTextMessageLog(TextMessageLog textMessageLog);

    /**
     * 批量删除短信记录
     * 
     * @param ids 需要删除的短信记录ID
     * @return 结果
     */
    public int deleteTextMessageLogByIds(Long[] ids);

    /**
     * 删除短信记录信息
     * 
     * @param id 短信记录ID
     * @return 结果
     */
    public int deleteTextMessageLogById(Long id);
}
